ia64/xen-unstable

view install.sh @ 2895:0d70a2747177

bitkeeper revision 1.1159.165.1 (418aa0f4koam0mhscMMP2HGuqLK5kQ)

install.sh now does a few checks to warn the user if prerequisite tools are missing.
author iap10@labyrinth.cl.cam.ac.uk
date Thu Nov 04 21:36:52 2004 +0000 (2004-11-04)
parents 565da10c07de
children 622f60f46a5a
line source
1 #!/bin/sh
3 src='./install'
4 if [ -d ./dist ]; then
5 src='./dist/install'
6 fi
8 if ! [ -d $src ]; then
9 echo "ERROR: Could not find a valid distribution directory."
10 echo " If this is a source-only release, try 'make dist'."
11 exit 1
12 fi
14 dst='/'
15 if [ $# -ne 0 ]; then
16 dst=$1
17 fi
19 if ! [ -d $dst ]; then
20 echo "ERROR: You must specify a valid install directory."
21 echo " The specified directory '$dst' is not valid."
22 exit 1
23 fi
25 echo "Installing Xen from '$src' to '$dst'..."
26 cp -fdR $src/* $dst
27 echo "All done."
29 echo "Checking to see whether prerequisite tools are installed..."
30 cd $src/../check
31 ./chk install
32 echo "All done."
34 exit 0